* {
    box-sizing: border-box;
}

html {
    font-family: "Tahoma", sans-serif;
    font-size: 20px;
    font-style: normal;
}

body {
    background-image: url("https://geoledgy.neocities.org/img/assets/GraphPaperBG.png");
    cursor: url("/img/assets/cursor.png"), auto;
    margin: 0;
    padding: 0;
}

.freckle-face-regular {
    font-family: "Freckle Face", system-ui;
    font-weight: 400;
    font-style: normal;
}

.rubik-gemstones-regular {
    font-family: "Rubik Gemstones", system-ui;
    font-weight: 400;
    font-style: normal;
}

.geo-regular {
    font-family: "Geo", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.geo-regular-italic {
    font-family: "Geo", sans-serif;
    font-weight: 400;
    font-style: italic;
}

h1 {
    margin: 0;
    font-family: "Geo", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 75px;
    color: #126050;
}

h2 {
    margin: 0;
    font-family: "Geo", sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 56px;
    color: #126050;
}

h3 {
    margin: 0;
    font-family: "Geo", sans-serif;
    font-weight: 400;
    font-style: normal;
}

a {
    color: #126050;
}

a:hover {
    color: #e47447;
}

ul {
    margin: 0;
    padding-left: 25px;
}

li {
    margin: 0;
    padding: 0;
}

#container {
    width: 100%;
    margin: 0 auto;
}

header {
    font-family: "Geo", sans-serif;
    font-weight: 400;
    font-style: normal;
    padding-top: 10px;
    padding-bottom: 0;
    font-size: 32px;
    mix-blend-mode: multiply;
}

.headertext {
    width: 100%;
    text-align: center;
}

header a {
    cursor: url("/img/assets/cursor.png"), auto;
}

nav {
    width: 100%;
    text-align: left;
    font-size: large;
    font-family: "Geo", sans-serif;
    font-style: normal;
    font-weight: 400;
    text-transform: uppercase;
}

nav img {
    height: 125px;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
}

nav ul li a {
    display: block;
    padding: 14px 16px;
    color: #fff9e9;
    font-size: 24px;
    text-decoration: none;
}

nav ul li a:hover {
    opacity: 0.3;
    color: #e47447;
}

main {
    margin: 0 auto;
    padding-top: 5px;
    padding-bottom: 20px;
}

.content {
    margin: 0 auto;
    width: 75%;
}

.filter {
    float: left;
    color: #fff9e9;
    text-align: center;
    display: none;
}

.show {
    display: block;
}

#buttoncontainer {
    display: flex;
    padding: 5px;
    justify-content: center;
}

/* Style the buttons */
.btn {
    margin-right: 10px;
    padding: 10px 20px;
    border: solid 1px;
    outline: none;
    background-color: #fff9e9;
    font-size: 24px;
    cursor: pointer;
    font-family: "Geo", sans-serif;
    font-style: normal;
    font-weight: 400;
    text-transform: uppercase;
}

.btn:hover {
    background-color: #126050;
    color: #fff9e9;
}

.btn.active {
    background-color: #126050;
    color: #fff9e9;
    font-weight: bold;
    border-color: black;
}

#gallery {
    margin-top: 10px;
    display: block;
}

#gallery.columns {
    columns: 50px 4;
    gap: 10px;
    max-width: 100%;
}

#gallery.columns2 {
    columns: 25px 4;
    gap: 10px;
    max-width: 100%;
}

.thumbnail {
    margin: 0 auto;
    width: 50%;
}

#gallery img {
    margin: 0 auto 10px auto;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#gallery img:hover {
    cursor: pointer;
    background-blend-mode: lighten;
    transition: 0.3s ease-in-out;
}

.overlay {
    position: relative;
}

.overlay2 {
    margin-bottom: 10px;
    height: 300px;
    position: relative;
    border: solid 2px;
}

img {
    display: block;
}

.hover {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: 0.5s ease;
    background-color: #34ada4b0;
}

.overlay:hover .hover {
    opacity: 1;
}

.text {
    position: absolute;
    top: 50%;
    bottom: 0;
    left: 0;
    right: 0;
    color: white;
    font-size: 20px;
    text-align: center;
}

/* Create five equal columns that sits next to each other 
.column {
  flex: 20%;
  max-width: 25%;
  padding: 0 4px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
}

/* Responsive layout - makes a two column-layout instead of four columns 
@media screen and (max-width: 800px) {
  .column {
    flex: 50%;
    max-width: 50%;
  }
}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other 
@media screen and (max-width: 600px) {
  .column {
    flex: 100%;
    max-width: 100%;
  }
}
*/

.link {
    text-align: center;
}

footer {
    padding: 10px;
    height: auto;
    text-align: center;
    font-family: "Geo", sans-serif;
    font-style: normal;
    font-weight: 400;
    text-transform: uppercase;
    clear: left;
}

footer a {
    font-size: 24px;
}

footer p {
    margin: 0;
}

details {
    background-color: #126050;
    color: #fff9e9;
}

summary {
    color: #fff9e9;
    padding: 10px 16px;
    text-decoration: none;
    font-family: "Geo", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 30px;
    text-transform: uppercase;
    justify-content: space-between;
}

.detailstext {
    padding: 0 30px 10px 30px;
}

#page {
    margin: 0 auto;
    width: 80%;
}

.commcontainer {
    padding: 0 15px 5px 15px;
    border-radius: 10px;
    background: linear-gradient(rgba(138, 143, 93, 0.5), rgba(138, 143, 93, 0.5)), url("/img/assets/bg.png");
    background-color: #dfe4af;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 0% 30%;
}

.comminfo {
    display: flex;
}

.comminfoleft {
    padding: 5px;
    width: 20%;
    text-align: center;
    font-size: 100px;
    border-radius: 10px;
    background-color: #fff9e9;
    font-family: "Geo", sans-serif;
    font-style: normal;
    font-weight: bold;
    text-transform: uppercase;
}

.comminfoleft2 {
    font-size: 26px;
    text-align: center;
}

.comminfocenter {
    padding: 5px;
    margin: 0 10px;
    width: 40%;
    font-size: 20px;
    border-radius: 10px;
    background-color: #fff9e9;
}

.comminforight {
    padding: 5px;
    width: 45%;
    font-size: 20px;
    text-align: justify;
    border-radius: 10px;
    background-color: #fff9e9;
}

#aboutflex {
    display: flex;
}

#aboutleft {
    margin-right: 20px;
}

#aboutright {
    text-align: justify;
}

.skills {
    margin: 5px 2px;
    padding: 3px 5px;
    display: inline-block;
    color: #fff9e9;
    background-color: #e47447;
    font-family: "Geo", sans-serif;
    font-style: normal;
    font-weight: bold;
    text-transform: uppercase;
}

#linkbox {
    margin: 0 auto;
    padding: 15px 0;
    width: 50%;
    background: linear-gradient(rgba(138, 143, 93, 0.5), rgba(138, 143, 93, 0.5)), url("/img/assets/bg.png");
    background-color: #dfe4af;
    background-repeat: no-repeat;
    background-size: cover;
    font-family: "Geo", sans-serif;
    font-style: normal;
    font-weight: bold;
    text-transform: uppercase;
}

#linkbox p {
    margin: 0 0 5px 0;
    font-weight: 400;
    font-size: 26px;
}

#linkcontainer {
    margin: 0 auto;
    width: 75%;
}

.linkbox {
    margin: 10px 0;
    text-align: center;
    width: 100%;
    display: inline-block;
    text-decoration: none;
    font-size: 26px;
}

.linkbox a:link,
a:visited {
    width: 100%;
    background-color: rgba(255, 249, 233, 0.7);
    padding: 15px 25px;
    text-align: center;
    text-decoration: none;
    border-style: inset;
    display: inline-block;
}

.mobile {
    display: none;
}

@media (max-width: 1000px) {
    .mobile {
        display: block;
    }

    .mobilehide {
        display: none;
    }

    header img {
        width: 95%;
    }

    .headertext {
        font-size: 6vw;
    }

    .content {
        width: 100%;
    }

    main {
        padding-bottom: 0;
    }

    nav ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
        display: flex;
        flex-wrap: wrap;
    }

    nav ul li {
        width: 100%;
        text-align: left;
    }

    nav ul li a:hover {
        opacity: 1;
    }

    #buttoncontainer {
        display: flex;
        flex-wrap: wrap;
        padding: 0;
        justify-content: center;
    }

    /* Style the buttons */
    .btn {
        margin-top: 10px;
        margin-right: 10px;
        border: solid 1px;
        outline: none;
        padding: 10px 15px;
        background-color: #fff9e9;
        cursor: pointer;
    }

    #gallery.columns {
        columns: 50px 2;
        gap: 10px;
        max-width: 100%;
    }

    #gallery.columns2 {
        columns: 50px 2;
        gap: 10px;
        max-width: 100%;
    }

    .hover {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        height: 100%;
        width: 100%;
        opacity: 0;
        transition: 0.5s ease;
        background-color: #34ada499;
    }

    .text {
        position: absolute;
        top: 45%;
        font-size: 16px;
    }

    #page {
        width: 100%;
    }

    #aboutflex {
        display: flex;
        flex-direction: column;
    }

    #aboutleft {
        margin-right: 0;
    }

    #aboutleft img {
        width: 100%;
    }

    .comminfo {
        flex-direction: column;
    }

    .commcontainer h2 {
        font-size: 10vw;
    }

    .comminfoleft {
        margin: 0;
        width: 100%;
        font-size: 15vw;
    }

    .comminfocenter {
        margin: 10px 0;
        width: 100%;
    }

    .comminforight {
        margin: 0;
        width: 100%;
    }

    #linkbox {
        width: 100%;
    }

    #linkbox p {
        font-size: 5.5vw;
    }

    .linkbox {
        font-size: 5vw;
    }
}
